Subject: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Jambunathan K <[email-masked]>
Date: Tue, 20 Sep 2011 16:21:13 +0530

Hello Kenichi,

Kenichi Handa <[email-masked]> writes:

> In article <[email-masked]>, Jambunathan K <[email-masked]> writes:
>
>> It would be helpful to include the tables in the order given below. It
>> would be highly desirable that they are enumerated NOT in the unicode
>> order but in their natural order (i.e., the order in which we are taught
>> to recite these alphabets in our schools)
>
> Thank you for the detail.  I'll work on it.

>> Footnotes:
>> [1]  Independent Vowels Table + Aytham (13 items)

> Within 2D table, I think we can show just one key
> sequence.  Which is more common/convenient; A or aa, I or ii, ...?

>> 0B85, அ, a
>> 0B86, ஆ, A or aa
>> 0B88, ஈ, I or ii
>> 0B8A, ஊ, U or uu
Please use A, I, U 

(Rationale: I am seeing that there is no `oo' but only a `O'. With the
above choice, one can always enter a capitalized vowel and be assured
that the right thing will happen)

>> 0B99, ங, N^a or ~Na
Please use N^a. 

(Rationale: Better to start with an regular character than a punctuation
character)

>> 0B9E, ஞ, JNa or ~na
Please use JNa. 

(Rationale: Same as before)

>> 0BB5, வ, wa or va
We can use va.

(Rationale: Seems natural)

>> 0BB3, ள, La or lda
We can use La.

(Rationale: The above character doesn't sound like `lda' when spoken)

>> 0BB4, ழ,
>
> It seems that the above character can't be input with
> tamil-itrans.  What key is usually used for that character?

The patch that you had sent earlier works. Could you please commit those
changes? 

Above character has two bindings - "za" or "Ja".
We can go with "za".  

(Rationale: This is how it's usually mapped by a layman even outside of
ta-itrans)

TIA,
Jambunathan K.